For the complete documentation index, see llms.txt. This page is also available as Markdown.

Node Configuration

Get Node's JVM configuration. Requires super role.

get
Path parameters
nodeIdstring · uuidRequired
Responses
200

successful operation

No content

get/node/configuration/jvm/{nodeId}
200

successful operation

No content

Overwrite Node's JVM configuration. Requires super role.

post
Path parameters
nodeIdstring · uuidRequired
Body
jvmParametersstring[]Optional
Responses
200

successful operation

No content

post/node/configuration/jvm/{nodeId}
200

successful operation

No content

Update Node's JVM configuration with JSON. Requires super role.

post
Path parameters
nodeIdstring · uuidRequired
Body
stringOptional
Responses
200

successful operation

No content

post/node/configuration/jvm/{nodeId}/json
200

successful operation

No content

Restore Node's JVM configuration to default. Requires super role.

post
Path parameters
nodeIdstring · uuidRequired
Responses
200

successful operation

No content

post/node/configuration/jvm/{nodeId}/restoreDefaults
200

successful operation

No content

Last updated

Was this helpful?